- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Slots | Protected Member Functions

# QPlastiqueStyle Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qplastiquestyle.h.

`#include <qplastiquestyle.h>`

Inheritance diagram for QPlastiqueStyle:
[legend]

List of all members.

## Public Member Functions
| QPlastiqueStyle ()
| ~QPlastiqueStyle ()
void | drawPrimitive (PrimitiveElement element, const QStyleOption *option, QPainter *painter, const QWidget *widget=0) const
void | drawControl (ControlElement element, const QStyleOption *option, QPainter *painter, const QWidget *widget) const
void | drawComplexControl (ComplexControl control, const QStyleOptionComplex *option, QPainter *painter, const QWidget *widget) const
QSize | sizeFromContents (ContentsType type, const QStyleOption *option, const QSize &size, const QWidget *widget) const
QRect | subElementRect (SubElement element, const QStyleOption *option, const QWidget *widget) const
QRect | subControlRect (ComplexControl cc, const QStyleOptionComplex *opt, SubControl sc, const QWidget *widget) const
int | styleHint (StyleHint hint, const QStyleOption *option=0, const QWidget *widget=0, QStyleHintReturn *returnData=0) const
SubControl | hitTestComplexControl (ComplexControl control, const QStyleOptionComplex *option, const QPoint &pos, const QWidget *widget=0) const
int | pixelMetric (PixelMetric metric, const QStyleOption *option=0, const QWidget *widget=0) const
QPixmap | standardPixmap (StandardPixmap standardPixmap, const QStyleOption *opt, const QWidget *widget=0) const
void | polish (QWidget *widget)
void | polish (QApplication *app)
void | polish (QPalette &pal)
void | unpolish (QWidget *widget)
void | unpolish (QApplication *app)
QPalette | standardPalette () const
## Protected Slots
QIcon | standardIconImplementation (StandardPixmap standardIcon, const QStyleOption *opt=0, const QWidget *widget=0) const
int | layoutSpacingImplementation (QSizePolicy::ControlType control1, QSizePolicy::ControlType control2, Qt::Orientation orientation, const QStyleOption *option=0, const QWidget *widget=0) const
## Protected Member Functions
bool | eventFilter (QObject *watched, QEvent *event)
void | timerEvent (QTimerEvent *event)

## Constructor & Destructor Documentation

QPlastiqueStyle | ( |  | ) |

~QPlastiqueStyle | ( |  | ) |

## Member Function Documentation

void drawPrimitive | ( | PrimitiveElement | element,
|  | const QStyleOption * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void drawControl | ( | ControlElement | element,
|  | const QStyleOption * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void drawComplexControl | ( | ComplexControl | control,
|  | const QStyleOptionComplex * | option,
|  | QPainter * | painter,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QSize sizeFromContents | ( | ContentsType | type,
|  | const QStyleOption * | option,
|  | const QSize & | size,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QRect subElementRect | ( | SubElement | element,
|  | const QStyleOption * | option,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QRect subControlRect | ( | ComplexControl | cc,
|  | const QStyleOptionComplex * | opt,
|  | SubControl | sc,
|  | const QWidget * | widget
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

int styleHint | ( | StyleHint | hint,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`,
|  | QStyleHintReturn * | returnData = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

SubControl hitTestComplexControl | ( | ComplexControl | control,
|  | const QStyleOptionComplex * | option,
|  | const QPoint & | pos,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QCommonStyle.

int pixelMetric | ( | PixelMetric | metric,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QPixmap standardPixmap | ( | StandardPixmap | standardPixmap,
|  | const QStyleOption * | opt,
|  | const QWidget * | widget = `0`
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void polish | ( | QWidget * | widget | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void polish | ( | QApplication * | app | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void polish | ( | QPalette & | pal | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void unpolish | ( | QWidget * | widget | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void unpolish | ( | QApplication * | app | ) | `[virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

QPalette standardPalette | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QStyle.

QIcon standardIconImplementation | ( | StandardPixmap | standardIcon,
|  | const QStyleOption * | opt = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented from QWindowsStyle.

int layoutSpacingImplementation | ( | QSizePolicy::ControlType | control1,
|  | QSizePolicy::ControlType | control2,
|  | Qt::Orientation | orientation,
|  | const QStyleOption * | option = `0`,
|  | const QWidget * | widget = `0`
| ) |  | const `[protected, slot]`

Search for all occurrences

Reimplemented from QStyle.

bool eventFilter | ( | QObject * | watched,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

void timerEvent | ( | QTimerEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWindowsStyle.

The documentation for this class was generated from the following file:

- QtGui/qplastiquestyle.h

QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle
QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle QPlastiqueStyle